Dependencies for hackage-security-0.6.0.0

library

Flags

NameDescriptionDefaultType
base48

Are we using base 4.8 or later?

EnabledAutomatic
use-network-uri

Are we using network-uri?

EnabledAutomatic
old-directory

Use directory < 1.2 and old-time

DisabledAutomatic
mtl21

Use mtl < 2.2 and mtl-compat

DisabledAutomatic
lukko

Use lukko for file-locking, otherwise use GHC.IO.Handle.Lock

EnabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info